using System.Windows;
using System.Windows.Controls.Primitives;
using System.Windows.Input;

namespace DynamicGridViewDemo
{
    public class MouseLeftButtonUpCommandBehavior : CommandBehaviorBase<UIElement>
    {
        public MouseLeftButtonUpCommandBehavior(UIElement clickableObject)
        {
            clickableObject.MouseLeftButtonUp += OnMouseLeftButtonUp;
        }

        private void OnMouseLeftButtonUp(object sender, MouseButtonEventArgs e)
        {
            this.CommandParameter = e;

            ExecuteCommand();
        }
    }
}